Package org.drinkless.tdlib

# Class TdApi.MessagePassportDataSent

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.MessageContent
org.drinkless.tdlib.TdApi.MessagePassportDataSent

Enclosing class:
  TdApi

public static class TdApi.MessagePassportDataSent extends TdApi.MessageContent
Telegram Passport data has been sent to a bot.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.MessageContent

  `TdApi.MessageContent.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.PassportElementType[]`
  `types`
  List of Telegram Passport element types sent.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MessagePassportDataSent()`
  Telegram Passport data has been sent to a bot.
  `MessagePassportDataSent(TdApi.PassportElementType[] types)`
  Telegram Passport data has been sent to a bot.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### types

    public TdApi.PassportElementType[] types
    List of Telegram Passport element types sent.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### MessagePassportDataSent

    public MessagePassportDataSent()
    Telegram Passport data has been sent to a bot.

  - ### MessagePassportDataSent

    public MessagePassportDataSent(TdApi.PassportElementType[] types)
    Telegram Passport data has been sent to a bot.
    Parameters:
      `types` - List of Telegram Passport element types sent.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.MessageContent`
    Returns:
      this.CONSTRUCTOR